Bug 61415 - Broken symlinks should be compared for target
Broken symlinks should be compared for target
Product: Red Hat Linux
Classification: Retired
Component: diffutils (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Aaron Brown
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-03-19 06:21 EST by kenneth_porter
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-19 06:21:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description kenneth_porter 2002-03-19 06:21:31 EST
When using diff -r to compare two trees containing symlinks, and some of the symlinks point to 
missing targets outside a tree, there should be an option to compare just symlink target 

This is useful when comparing a restored partition backup on a temporary 
mountpoint. The position of the mountpoint may invalidate any symlinks pointing out of the 
tree. The integrity of the backup depends on the content of the symlink itself, not its target.
Comment 1 Tim Waugh 2002-03-20 03:33:04 EST
Yes.  This is noted in "Future Projects"

Note You need to log in before you can comment on or make changes to this bug.